const getters = {
  device: state => state.app.device,
  theme: state => state.app.theme,
  color: state => state.app.color,
  token: state => state.user.token,
  avatar: state => state.user.avatar,
  nickname: state => state.user.name,
  mustChangePwd: state => state.user.mustChangePwd,
  welcome: state => state.user.welcome,
  roles: state => state.user.roles,
  userInfo: state => state.user.info,
  addRouters: state => state.permission.addRouters,
  multiTab: state => state.app.multiTab,
  lang: state => state.i18n.lang,
  isNewTab: state => state.app.isNewTab,
  isNewSubTab: state => state.app.isNewSubTab,
  closeTabPages: state => state.app.closeTabPages,
  loadingStatus: state => state.app.loadingStatus,
  employeeList: state => state.app.employeeList,
  tempBillOfData: state => state.app.tempBillOfData,
  returnReason: state => state.app.returnReason,
  echartsAutoTime: state => state.setting.echartsAutoTime,
  authMenusList: state => state.app.authMenusList,
  priceAuthOptions: state => state.app.priceAuthOptions,
  curActionPermission: state => state.app.curActionPermission,
  isWarehouse: state => state.app.isWarehouse,
  defWarehouse: state => state.app.defWarehouse
}

export default getters
